Package be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

# Class NaturalPerson

java.lang.Object
be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.NaturalPerson

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class NaturalPerson extends Object implements Serializable

Java class for NaturalPerson complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NaturalPerson">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Quality" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       <element name="NIHII" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="AAPersonalAuth" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NaturalPerson()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAAPersonalAuth()`
  Gets the value of the aaPersonalAuth property.
  `List<Quality>`
  `getQualities()`
  Gets the value of the qualities property.
  `void`
  `setAAPersonalAuth(byte[] value)`
  Sets the value of the aaPersonalAuth property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NaturalPerson

    public NaturalPerson()

- ## Method Details

  - ### getQualities

    public List<Quality> getQualities()
    Gets the value of the qualities property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualities property.

    For example, to add a new item, do as follows:

         getQualities().add(newItem);

    Objects of the following type(s) are allowed in the list `Quality`

    Returns:
      The value of the qualities property.

  - ### getAAPersonalAuth

    public byte[] getAAPersonalAuth()
    Gets the value of the aaPersonalAuth property.
    Returns:
      possible object is byte[]

  - ### setAAPersonalAuth

    public void setAAPersonalAuth(byte[] value)
    Sets the value of the aaPersonalAuth property.
    Parameters:
      `value` - allowed object is byte[]